% 20221216,20221121,20221119,20221114,
% 20221101,20220918,20220827,20220727,20220514,20220429,20220323,20220222,
% 20220121,20220118,20220101,20211206,20211127 modified by M. Hattori
% 20211205 reduced by Takuma Torii
% 20210927 cs.cls; LaTeX2.09 to LaTeX2e by Takuma Torii
% 20210718,...,20200107 (21 vers distributed) modified by Masasi Hattori
% 20191202 cs.sty by Masasi Hattori
% 20040707 modified by HASIDA Koiti
% 20030929 extended by SHIMIZU Chiko
% 19971119,19960421 modified by HASIDA Koiti
% 19940516 jcss.sty (version 1.0) by Yaski Saito
% 19940418 jcss-i.sty by Yaski Saito
% 19940415 jcss-t.sty by Hideki ISOZAKI
% 19940301 jcss.sty (revised version) by Yaski Saito
% 19940114 jcsspapers.sty by Yaski Saito
% 19931130 ipsjpapers.sty by Hiroshi Nakashima
% 19930203 ipsjpapers.sty by Yaski Saito
% 19920422 compsoft.sty by Yaski Saito
% 19900718 compsoft.sty by Hideki Isozaki 
% 19890210 j-article.sty from report.sty 16-Mar-88

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cs}[2022/12/16 Cognitive Studies LaTeX class]

% *** (M.H.)
\newif\if@doublecolumn
\DeclareOption{doublecolumn}{\@doublecolumntrue}
\DeclareOption{singlecolumn}{\@doublecolumnfalse}

\newif\if@onecolumnarticle
\@onecolumnarticlefalse
 
\newif\if@toukouyou
\DeclareOption{toukou}{\@toukouyoutrue}

% *** (M.H.)
% 記事別のタイトル・ページのスタイル
%
% (a) \paper
%     論文，誌上討論，解説など
% (b) \paperEn
%     論文〔英文〕
% (c) \article
%     記事（学会賞受賞の言葉，大会発表賞論文など）
% (d) \articleEn
%     記事〔英文〕
% (e) \foreword
%     巻頭言，学会からのお知らせ
% (f) \forewordEn
%     巻頭言〔英文〕
% (g) \guide
%     紹介記事（フェロー紹介，文献紹介など）
% (h) \bookreview
%     書評
% (i) \phd
%     博士論文紹介
% (j) \articleOne
%     一段組記事（追悼など）

% === スタイルファイル全体の設定変更 ===

\let\@genkotype\relax

% (a) \paper
\DeclareOption{paper}{%
  \def\@genkotype{論文}%
  \def\@articletype{%
    \hrule\@height1.5\p@
    \vskip1mm
    \hbox to \textwidth{%
      \if@tldef{\toplabel@font\@topl}\fi\hfill%
      \if@trdef{\toplabel@font\@topr}\fi}%
    \vskip1mm
    %\hrule
    \vskip10mm
    \hbox to \textwidth{\hfill\Huge\titlefont\shortstack[c]{\@title}\hfill}
    \vskip5mm
    \hbox to \textwidth{\hfill\huge\shortstack[c]{\@author}\hfill}%
    %\vkip1mm
    \hbox to \textwidth{%
      \hfill\normalsize\shortstack[c]{\rule{0pt}{18pt}\@affiliation}\hfill}%
    \vskip6mm
    \hbox to \textwidth{\hfill\Large\shortstack[c]{\@titleEn}\hfill}%
    \vskip2mm
    \hbox to \textwidth{\hfill\large\shortstack[c]{\@authorEn}\hfill}%
    %\vskip1mm
    \hbox to \textwidth{%
      \hfill\normalsize\itshape\shortstack[c]{\rule{0pt}{18pt}\@affiliationEn}\hfill}%
    \vskip10mm}}%

% (b) \paperEn
\DeclareOption{paperEn}{%
  \def\@genkotype{Paper}%
  \inenglish
  \def\@articletype{%
    \hrule\@height1.5\p@
    \vskip1mm
    \hbox to \textwidth{%
      \if@tldef{\toplabel@font\@topl}\fi\hfill%
      \if@trdef{\toplabel@font\@topr}\fi}%
    \vskip1mm
    %\hrule
    \vskip10mm
    \hbox to \textwidth{\hfill\Huge\titlefont\shortstack[c]{\@title}\hfill}
    \vskip4mm
    \hbox to \textwidth{\hfill\huge\shortstack[c]{\@author}\hfill}%
    \vskip3mm
    \hbox to \textwidth{%
      \hfill\normalsize\itshape\shortstack[c]{\rule{0pt}{18pt}\@affiliation}\hfill}%
    \vskip10mm}}%

% (c) \article
\DeclareOption{article}{%
  \def\@genkotype{記事}%
%  \let\@extrainfo\relax
  \let\@extrainfo\@gaiyoinfo
  \def\@articletype{%
    \hrule\vskip0.3mm\hrule
    \vskip1mm
    \hbox to \textwidth{%
      \if@tldef{\toplabel@font\@topl}\fi\hfill%
      \if@trdef{\toplabel@font\@topr}\fi}%
    \vskip1mm
    %\hrule
    \vskip10mm
    \hbox to \textwidth{\hfill\Huge\titlefont\shortstack[c]{\@title}\hfill}
    \vskip5mm
    \hbox to \textwidth{\hfill\huge\shortstack[c]{\@author}\hfill}%
    \if@aff
      %\vkip1mm
      \hbox to \textwidth{\hfill\normalsize\shortstack[c]{\rule{0pt}{18pt}\@affiliation}\hfill}%
    \fi
    \if@auen
      \vskip6mm
      \hbox to \textwidth{\hfill\Large\shortstack[c]{\@titleEn}\hfill}%
      \vskip2mm
      \hbox to \textwidth{\hfill\large\shortstack[c]{\@authorEn}\hfill}%
    \fi
    \if@affen
      \vskip2mm
      \hbox to \textwidth{%
        \hfill\normalsize\itshape\shortstack[c]{\rule{0pt}{18pt}\@affiliationEn}\hfill}%
    \fi
    \vskip10mm}%
  \def\受賞の言葉{\noindent{\huge （受賞者の言葉）}\vskip.5\baselineskip}
  \def\受賞者の言葉{\noindent{\huge （受賞者の言葉）}\vskip.5\baselineskip}
}

% (d) \articleEn
\DeclareOption{articleEn}{%
  \def\@genkotype{Article}%
  \inenglish
  \let\@extrainfo\@gaiyoinfo
  \def\@articletype{%
    \hrule\vskip0.3mm\hrule
    \vskip1mm
    \hbox to \textwidth{%
      \if@tldef{\toplabel@font\@topl}\fi\hfill%
      \if@trdef{\toplabel@font\@topr}\fi}%
    \vskip1mm
    %\hrule
    \vskip10mm
    \hbox to \textwidth{\hfill\Huge\titlefont\shortstack[c]{\@title}\hfill}
    \vskip4mm
    \hbox to \textwidth{\hfill\huge\shortstack[c]{\@author}\hfill}%
    \if@aff
      %\vkip1mm
      \hbox to \textwidth{%
        \hfill\normalsize\itshape\shortstack[c]{\rule{0pt}{18pt}\@affiliation}\hfill}%
    \fi
    \vskip10mm}%
  \def\awardwords{\noindent{\huge (Award winner's words)}\vskip.5\baselineskip}
}

% (e) \foreword
\DeclareOption{foreword}{%
  \def\@genkotype{巻頭言}
  \let\@extrainfo\relax
  \ExecuteOptions{singlecolumn}
  \def\@articletype{%
    \hrule\@width144mm\vskip0.3mm\hrule\@width144mm
    \vskip1mm
    \hbox to \textwidth{{\toplabel@font \@topl}\hfill}%
    \vfill
    \hbox to \textwidth{\hspace*{24mm}\LARGE\titlefont\shortstack{\@title}\hfill}%
    \vfill
    \hbox to \textwidth{\hspace*{24mm}\huge\shortstack{\@author}\hfill}%
    \vskip1cm}}
%    \vskip7mm}}% 7201

% (f) \forewordEn
\DeclareOption{forewordEn}{%
  \def\@genkotype{Foreword}
  \inenglish
  \let\@extrainfo\relax
  \ExecuteOptions{singlecolumn}
  \def\@articletype{%
    \hrule\@width144mm\vskip0.3mm\hrule\@width144mm
    \vskip1mm
    \hbox to \textwidth{{\toplabel@font \@topl}\hfill}%
    \vfill
    \hbox to \textwidth{\hspace*{24mm}\LARGE\titlefont\shortstack{\@title}\hfill}%
    \vfill
    \hbox to \textwidth{\hspace*{24mm}\huge\shortstack{\@author}\hfill}%
    \vskip1cm}}
%    \vskip7mm}}% 7201

% (g) \guide
\DeclareOption{guide}{%
  \def\@genkotype{紹介記事}%
  \let\@extrainfo\@gaiyoinfo
  \def\@articletype{%
    \hrule\vskip0.3mm\hrule
    \vskip1mm
    \hbox to \textwidth{%
      \if@tldef{\toplabel@font\@topl}\fi\hfill%
      \if@trdef{\toplabel@font\@topr}\fi}%
    \vskip1mm
    %\hrule
    \vskip10mm
    \hbox to \textwidth{\hfill\Huge\titlefont\shortstack[c]{\@title}\hfill}
    \if@au
      \vskip5mm
      \hbox to \textwidth{\hfill\huge\shortstack[c]{\@author}\hfill}%
    \fi%
    %\vspace{1mm}
    \if@aff
      \hbox to \textwidth{\hfill\normalsize\shortstack[c]{\@affiliation}\hfill}%
      \vskip6mm
    \fi
    \vskip1cm}}%    \vskip 14mm}}

% (h) \bookreview
\DeclareOption{bookreview}{%
  \def\@genkotype{書評}
  \let\@extrainfo\relax
  \def\@articletype{%
    \hbox to \textwidth{\Large\gtfamily\bfseries
      \unitlength10mm
      \framebox(1,1){書}%
      \hskip5mm
      \framebox(1,1){評}%
      \hskip5mm
      \leaders\hrule\@depth-9.8mm\@height10mm\hfill
      \kern\z@}%
    \vskip5mm
    \hbox to \textwidth{\hspace{20mm}\huge\titlefont\shortstack[l]{\@title}}%
    \vskip5mm
    \hbox to \textwidth{\hfill\huge\@author\quad}%
    \vskip1cm}}

% (i) \phd
\DeclareOption{phd}{%
  \def\@genkotype{博士論文紹介}
%  \let\@extrainfo\relax
  \def\@maketitle{\newpage\null% タイトル・スペースなし!!
  \hrule\vskip0.3mm\hrule
  \vskip1mm
  \hbox to \textwidth{\hfill{\toplabel@font 博士論文紹介}}%
  \vskip10mm
  }
  \newcommand{\Photoside}[2]{
    \section*{\@title}
    \vspace*{4mm}
    \columnsep=3mm\intextsep=3mm
    \begin{wrapfigure}{r}{20mm}
      \centering
      \vspace*{-5mm}
      \includegraphics[#1]{#2}
    \end{wrapfigure}%\par
    \noindent{\large\@author} {\footnotesize (\@authorEn)}\\\\\\
    \noindent{\phditem@font キーワード：}\@Keywords
  }
  \def\Abstract{\noindent{\phditem@font 博士論文要約：}\par}
  \newenvironment{Data}{%
    \vspace{1\baselineskip}
    \begin{list}{}{%
      \labelsep=0pt\labelwidth=0pt\leftmargin=\bibleftmargin
      \itemindent=-\bibleftmargin \itemsep .01in}%
    \def\学位取得大学{\item{\phditem@font 学位取得大学：}}
    \def\指導教員{\item{\phditem@font 指導教員：}}
    \def\博士種別{\item{\phditem@font 博士種別：}}
    \def\取得年月日{\item{\phditem@font 取得年月日：}}
    \def\公表論文リスト{\item{\phditem@font 公表論文リスト：}}
    \def\現職{\item{\phditem@font 現職：}}
    \def\論文請求先{\item{\phditem@font 論文請求先：}}
    \def\抱負{\item{\phditem@font 抱負：}}
  }{\end{list}}
  \newenvironment{論文リスト}{
    \begin{list}{}{%
      \labelsep=0pt\labelwidth=0pt\leftmargin=\bibleftmargin
      \itemindent=-\bibleftmargin \itemsep .01in \topsep=3pt}\footnotesize%
  }{\end{list}}
  \def\section{\@startsection 
    {section}{1}{0pt}{0pt}{4.83982pt}{\font@s}}
  \def\subsection{\@startsection
    {subsection}{2}{0pt}{\baselineskip}{0.001pt}{\normalsize}}
  \onepagearticle
}

% (j) \articleOne
\DeclareOption{articleOne}{%
  \def\@genkotype{記事一段組}%
  \let\@extrainfo\@gaiyoinfo
  \ExecuteOptions{singlecolumn}
  \@onecolumnarticletrue
  \def\@articletype{%
    \hrule\vskip0.3mm\hrule
    \vskip1mm
    \hbox to \textwidth{%
      \if@tldef{\toplabel@font\@topl}\fi\hfill%
      \if@trdef{\toplabel@font\@topr}\fi}%
    \vskip1mm
    %\hrule
    \vskip10mm
    \hbox to \textwidth{\hfill\Huge\titlefont\shortstack[c]{\@title}\hfill}
    \vskip5mm
    \hbox to \textwidth{\hfill\huge\shortstack[c]{\@author}\hfill}%
    \vskip10mm}}

%%%%%%%

\ExecuteOptions{paper}             % default setting
\ExecuteOptions{doublecolumn}      % default setting


%%%% %%%% フォントサイズの設定 %%%% %%%%

%%(T.T.) フォントサイズは下記のカーネルの定義を継承している
%  \def\@vpt{5}
%  \def\@vipt{6}
%  \def\@viipt{7}
%  \def\@viiipt{8}
%  \def\@ixpt{9}
%  \def\@xpt{10}
%  \def\@xipt{10.95}
%  \def\@xiipt{12}
%  \def\@xivpt{14.4}
%  \def\@xviipt{17.28}
%  \def\@xxpt{20.74}
%  \def\@xxvpt{24.88}

% 19970515, Vol.4, No.2 からタイトル部分もそのまま使うことになった
% 19971023 Vol.4, No.4 から，スタイルファイルでのフォントサイズ変更
%		=> normalsize = 9pt, baselineskip 13.83982pt
%		=> large = 10pt, baselineskip 13.83982pt,  Large = 11pt 設定

\newdimen\jspaceskip
\jspaceskip=9.15442pt

\def\@normalsize{%
  \@setfontsize\normalsize{9}{13.83982}
  \abovedisplayskip=8pt plus 2pt minus 6pt
  \abovedisplayshortskip=0pt plus 2pt
  \belowdisplayskip=8pt plus 2pt minus 6pt
  \belowdisplayshortskip=4pt plus 2pt minus 2pt
  \let\@listi\@listI}

\def\small{%
  \@setfontsize\small{9}{12}
  \abovedisplayskip=7pt plus 1.7pt minus 5.2pt
  \abovedisplayshortskip=0pt plus 1.7pt
  \belowdisplayskip=7pt plus 1.7pt minus 5.2pt
  \belowdisplayshortskip=4pt plus 1.7pt minus 1.7pt
  \let\@listi\@listI}

\def\footnotesize{%
  \@setfontsize\footnotesize{8}{10}
  \abovedisplayskip=5.8pt plus 1.4pt minus 4.3pt
  \abovedisplayshortskip=0pt plus 1.4pt
  \belowdisplayskip=5.8pt plus 1.4pt minus 4.3pt
  \belowdisplayshortskip=2.9pt plus 1.4pt minus 1.4pt
  \let\@listi\@listI}

\def\scriptsize{\@setfontsize\scriptsize{7}{9}}
\def\tiny{\@setfontsize\tiny{6}{8}}
\def\large{\@setfontsize\large{10}{13.83982}}
\def\Large{\@setfontsize\Large{10.95}{16.36285}}
\def\LARGE{\@setfontsize\huge{14.4}{18}}
\def\huge{\@setfontsize\huge{10.95}{18}}
\def\Huge{\@setfontsize\Huge{17.28}{21}} 

\renewcommand{\normalsize}{\@setfontsize\normalsize{9}{13.83982}}
\normalsize

%%(T.T.) 古い書式コマンドの再定義
\DeclareOldFontCommand{\rm}{\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\gtfamily\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\slshape}{\mathsl}
\DeclareOldFontCommand{\sc}{\scshape}{\mathsc}

%%(T.T.) 数式フォント設定
\def\rmdefault{ptm}


%%%% %%%% ページサイズの設定 %%%% %%%%

%%(T.T.) ページサイズのパラメータは https://ctan.org/pkg/geometry のマニュアルの図解を見よ

\paperwidth 182mm
\paperheight 257mm

\topmargin -10.16mm

\headheight 8pt
\headsep 15pt  
\footskip 1.5\baselineskip

\textheight = 216mm

% 9.15418pt(文字高さ) normalsizeの文字高さ
% topskip = 文字高さ - depth = height = 7.70879pt
\topskip = 7.70879pt

% columnsep = 144mm(横幅) - 68.5mm(一段の横幅)*2 = 7mm
\columnsep 7mm

% 版面全体の横幅、一段は21文字だから：
\textwidth 144mm
\columnseprule 0pt

% 傍注（校正で使用？）
\marginparwidth 5zw% 傍注の幅
\marginparsep 0.5zw% 傍注と本文の間のアキ
\marginparpush 0.5zw% 連続する傍注間のアキ
\@mparswitchtrue% ページの偶奇に応じて左右入れ替え

% e-pTeX primitive
\pdfpagewidth\paperwidth
\pdfpageheight\paperheight

% dviにサイズ情報を埋め込む
\AtBeginDvi{\special{papersize=\the\paperwidth,\the\paperheight}}


%%%% %%%% 原稿スタイルの設定 %%%% %%%%

\newdimen\@mojihaba
\settowidth{\@mojihaba}{あ}

% footnote1の最後の行の一番下のはじからfootnote2のbaselineまでの距離
% foogtnoteのbaselineskip - depth = 8.50428pt - 0.9636pt = 7.54068pt
\footnotesep 7.54068pt

% 本文最後の行の一番下からfootnoteの頭までの距離(ここからfootnotesepの
% 距離のところにfootnoteの第一行目のbaselineがある)。
% following pt size may need change (revision?)
%\skip\footins 7pt plus 6.21775pt minus 1pt
\skip\footins 5pt plus 5pt minus 1pt % (Q_Q)

\floatsep \baselineskip 
\textfloatsep 1.8\baselineskip 
\intextsep \baselineskip 
\dblfloatsep \baselineskip 
\dbltextfloatsep 1.8\baselineskip
\@fptop 0pt plus 1fil 
\@fpsep 0pt plus 2fil 
\@fpbot 0pt plus 1fil 
\@dblfptop 0pt plus 1fil 
\@dblfpsep 0pt plus 2fil 
\@dblfpbot 0pt plus 1fil

\parskip\z@ 
\parindent \@mojihaba 
\partopsep\z@
\@lowpenalty 51 
\@medpenalty 151 
\@highpenalty 301 
\@beginparpenalty -\@lowpenalty 
\@endparpenalty -\@lowpenalty 
\@itempenalty -\@lowpenalty 


% caption labels and section names *** (M.H.)
%\def\tablename{表}
%\def\figurename{図}
\def\captablename{表}
\def\capfigurename{図}

\def\@refname{文　献}
\def\@ackname{謝　辞}
\def\@appname{付　録}

\def\@correspondingauthor{責任著者．}


% cite punctuations %
\def\BBOP{(}		% open parenthesis
\def\BBAA{\&}		% between authors in parenthesis and ref. sec.
%\def\BBAB{and}		% between authors in text
\def\BBAB{\&}		% between authors in text
\def\BBAY{, }		% between author(s) and year
\def\BBC{; }		% between cites
%\def\BBN{, }		% before note
\def\BBN{}		% before note
\def\BBCP{)}		% closing parenthesis
\def\BBOQ{}		% open quote for article title
\def\BBCQ{.}		% closing quote for article title
\def\BAP{}		% after optional prefix note
\def\BBA{\BBAA}
\def\BBACOMMA{, }	% comma between authors in ref. sec when # of authors = 2
\let\Bem\em

\newskip\vitabaselineskip	% 著者紹介の行間
\vitabaselineskip=10pt
\newskip\vitabaselineskipEn	% 著者紹介の行間（英文）
\vitabaselineskipEn=8.5pt

\newcount\vitaphotolines	% 著者紹介の写真部分の行数
\vitaphotolines=9
\newcount\vitaphotolinesEn	% 著者紹介の写真部分の行数（英文）
\vitaphotolinesEn=10

% 英文論文の場合
\def\inenglish{%
  \runningheadjournalname{Cognitive Studies}
%  \def\tablename{Table~}
%  \def\figurename{Figure~}
  \def\captablename{Table~}
  \def\capfigurename{Figure~}
  \def\tablen@me{Table~}
  \def\figuren@me{Figure~}
  \def\@refname{References}
  \def\@ackname{Acknowledgment}
  \def\@appname{Appendix}
  \def\baselinestretch{0.85}
  \def\BBAB{and}		% between authors in text
  \def\BBN{, }			% before note
  \def\BAP{\space}		% after optional prefix note
  \let\vitabaselineskip\vitabaselineskipEn	% 著者紹介の行間
  \let\vitaphotolines\vitaphotolinesEn		% 著者紹介の写真部分の行数
  \def\@correspondingauthor{Corresponding Author. }
}

% \section, \subsection, etc.
% \@sectionindent is used for the amount of indentation (set near the eof)
\def\section{\@startsection 
%  {section}{1}{\@sectionindent}{10pt}{6.36285pt}{\font@s}}
  {section}{1}{\@sectionindent}{9pt}{4.83982pt}{\font@s}}
			% (Q_Q) 9 + 4.83982 = 13.83982pt(baselineskip)

\def\subsection{\@startsection
  {subsection}{2}{\@sectionindent}{\baselineskip}{0.001pt}{\font@ss}}    

\def\subsubsection{\@startsection
  {subsubsection}{3}{\@sectionindent}{\baselineskip}{0.001pt}{\font@sss}}

\def\paragraph{\@startsection
 {paragraph}{4}{\@sectionindent}{\baselineskip}{0.001pt}%
 {\normalfont\normalsize\headfont}}

\def\subparagraph{\@startsection
 {subparagraph}{5}{\@sectionindent}{\baselineskip}{0.001pt}%
 {\normalfont\normalsize\headfont}}

\setcounter{secnumdepth}{5}

% indentation for section, subsection etc. to
% pull out the section, subsection etc. to the left in single column mode
\newdimen\@sectionindent
\if@doublecolumn
  \@sectionindent\jspaceskip
\else
  \if@onecolumnarticle
    \@sectionindent\jspaceskip
  \else
    \@sectionindent 24mm
  \fi
\fi


% *** (M.H.)
% 著者名の横に ORCID iD ロゴを入れてリンクを埋め込む
\newcommand{\iD}[2][orcid.pdf]{%
  \ifx\Hy@SetCatcodes\@undefined\else%  hyperref パッケージを読み込んでいるときのみ
    \href{https://orcid.org/#2}{\includegraphics[width=0.8em]{#1}}
  \fi
}

% *** (M.H.)
% 著者注釈（主に責任著者情報）
% 単著の場合：\authornotes*{連絡先以外の情報}{E-mail address}
% 共著の場合：\authornotes{連絡先以外の情報}{E-mail address}
\def\authornotes{\@ifstar\@@authornotes\@authornotes}
\def\@authornotes#1#2{%
  {\renewcommand{\thefootnote}{}
   \if\relax\detokenize{#1}\relax\else\footnotetext{#1}\fi
   \footnotetext{$\ast$ \@correspondingauthor E-mail: #2}}}
\def\@@authornotes#1#2{%
  {\renewcommand{\thefootnote}{}
   \if\relax\detokenize{#1}\relax\else\footnotetext{#1}\fi
   \footnotetext{$\ast$ E-mail: #2}}}

% 著者注釈の中で ORCID iD ロゴとURLを出力する
\newcommand{\orcid}[2][orcid.pdf]{%
  \kern .08em
  \@ifundefined{Hy@SetCatcodes}
    %  hyperref パッケージを読み込んでいないときはマークのみ
    {\includegraphics[width=0.8em]{#1}\hspace{.5mm}https://orcid.org/#2}%
    %  hyperref パッケージを読み込んでいるときはリンク埋め込み
    {\href{https://orcid.org/#2}%
          {\includegraphics[width=0.8em]{#1}\hspace{.5mm}https://orcid.org/#2}}
}

\def\appendix{\par
  \section*{\hskip\@mojihaba\@appname}%
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \def\thesection{\Alph{section}}
  \def\thetable{A\@arabic\c@table}
  \setcounter{table}{0}
  \def\thefigure{A\@arabic\c@figure}
  \setcounter{figure}{0}
}

% M.H
\def\acknowledgment{\section*{\hskip\@mojihaba\@ackname}}

\let\acknowledgement=\acknowledgment

% 見出しなどのフォント設定
\newcommand{\headfont}{\gtfamily\bfseries}         %セクション
\newcommand{\titlefont}{\gtfamily\bfseries}        %タイトル
\def\toplabel@font{\normalfont\large\headfont}     %トップページ柱
\def\phditem@font{\normalfont\normalsize\headfont} %博士論文紹介の項目

\def\sectionfont#1#2#3{\gdef\font@s{#1}\gdef\font@ss{#2}\gdef\font@sss{#3}}
\sectionfont%
  {\normalfont\large\headfont\raggedright}% section
  {\normalfont\normalsize\headfont}% subsection
  {\normalfont\normalsize\headfont}% subsubsection



\leftmargini2\@mojihaba
\leftmarginii2\@mojihaba
\leftmarginiii2\@mojihaba
\leftmarginiv2\@mojihaba
\leftmarginv2\@mojihaba
\leftmarginvi2\@mojihaba
\leftmargin\leftmargini

\def\@listI{%
  \leftmargin\leftmargini
  \parsep\z@
  \topsep\z@
  \itemsep\z@
  \labelsep 0.75\@mojihaba % 3/4*\@mojihaba
  \labelwidth=0.25\@mojihaba}

\let\@listi\@listI

\def\@listii{%
  \leftmargin\leftmarginii
  \labelsep 0.75\@mojihaba % 3/4*\@mojihaba
  \labelwidth=0.25\@mojihaba
  \topsep\z@
  \parsep\z@ 
  \itemsep\parsep}

\def\@listiii{%
  \leftmargin\leftmarginiii
  \labelsep 0.75\@mojihaba % 3/4*\@mojihaba
  \labelwidth=0.25\@mojihaba
  \topsep\z@ 
  \parsep\z@ 
  \itemsep\topsep}

\def\@listiv{%
  \leftmargin\leftmarginiv
  \labelsep 0.75\@mojihaba % 3/4*\@mojihaba
  \labelwidth=0.25\@mojihaba}

\def\@listv{%
  \leftmargin\leftmarginv
  \labelsep 0.75\@mojihaba % 3/4*\@mojihaba
  \labelwidth\z@}

\def\@listvi{%
  \leftmargin\leftmarginvi
  \labelsep 0.75\@mojihaba % 3/4*\@mojihaba
  \labelwidth\z@}



% Originally compsoft.sty started from here.

\def\labelenumi{(\,\theenumi\,)} 
\def\theenumi{\arabic{enumi}} 
\def\labelenumi{(\,\theenumi\,)} 
\def\theenumii{\alph{enumii}}
\def\p@enumii{\theenumi}
\def\labelenumiii{(\,\theenumiii\,)}
\def\theenumiii{\roman{enumiii}}
\def\p@enumiii{\theenumi(\theenumii)}
\def\labelenumiv{(\,\theenumiv\,)}
\def\theenumiv{\Alph{enumiv}}
\def\p@enumiv{\p@enumiii\theenumiii}

\def\labelitemi{$\bullet$}
\def\labelitemii{\bfseries --}
\def\labelitemiii{$\ast$}
\def\labelitemiv{$\cdot$}

\def\verse{%
  \let\\=\@centercr 
  \list{}{%
    \itemsep\z@ 
    \itemindent -1.5em
    \listparindent \itemindent 
    \rightmargin\leftmargin
    \advance\leftmargin 1.5em}%
  \item[]}

\let\endverse\endlist

% 長めの引用に使用する（字下げあり，右マージンなし）
\def\quotation{%
  \list{}{%
    \listparindent 1zw
    \itemindent\listparindent
    \rightmargin\z@
    \leftmargin 2\@mojihaba
    \rightmargin\z@
    \parsep\z@}%
  \item[]}

\let\endquotation=\endlist

% 短めの引用に使用する（字下げなし，右マージンあり）
\def\quote{\list{}{\rightmargin\@mojihaba}\item[]}

\let\endquote=\endlist

\def\descriptionlabel#1{\hspace\labelsep \gtfamily\bfseries #1}
%% \def\descriptionlabel#1{\bf #1} (H.N.)

\def\description{%
 \list{}{%
   \labelwidth\z@ 
   \itemindent-\leftmargin %% (H.N.)
   %\itemindent=\@mojihaba
   % IPSJ printers seem to love exact 1 space. (H.N.)
   %% \labelsep=0.75\@mojihaba 
   \labelsep\@mojihaba
   \let\makelabel\descriptionlabel}}

\let\enddescription\endlist

\def\enumerate{%
  \ifnum \@enumdepth >3 %
    \@toodeep
  \else
    \advance\@enumdepth \@ne 
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
    \list{\csname label\@enumctr\endcsname}{%
      \usecounter{\@enumctr}%
      \def\makelabel##1{##1\hss}%
      %% IPSJ printers seem to love 3 j-spaces and left adjustment. (H.N.)
      \leftmargin 2\@mojihaba 
      \labelwidth 2\@mojihaba 
      \labelsep\z@}%
  \fi}

\let\endenumerate =\endlist

\def\itemize{%
  \ifnum \@itemdepth >3 %
    \@toodeep
  \else 
    \advance\@itemdepth \@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
    %% IPSJ printers might love 2 j-spaces and left adjustment. (H.N.)
    \list{\csname\@itemitem\endcsname}{%
      \def\makelabel##1{\hss##1\hss}%
      \labelwidth 2\@mojihaba 
      \labelsep\z@}%
  \fi}

\let\enditemize =\endlist

\let\latex@trivlist\@trivlist

\def\@Trivlist{%
  \leftmargin\z@
  \itemindent\labelwidth
  \advance\itemindent\labelsep
  \latex@trivlist
  \let\@trivlist\latex@trivlist}

\def\Description{%
  \let\@trivlist\@Trivlist
  \description}

\let\endDescription\endlist



\def\theequation{\arabic{equation}}

%eqnarray環境：数式の & のアキをせまくする
\def\eqnarray{%
 \stepcounter{equation}%
 \let\@currentlabel=\theequation
 \global\@eqnswtrue
 \global\@eqcnt\z@
 \tabskip\@centering
 \let\\=\@eqncr
$$\halign to \displaywidth\bgroup\@eqnsel\hskip\@centering
$\displaystyle\tabskip\z@{##}$&\global\@eqcnt\@ne
\hfil$\displaystyle{{}##{}}$\hfil
&\global\@eqcnt\tw@$\displaystyle\tabskip\z@{##}$\hfil
\tabskip\@centering&\llap{##}\tabskip\z@\cr}

%% \doublerulesep is 1pt (H.N.)
\arraycolsep 5pt 
\tabcolsep 6pt 
\arrayrulewidth .4pt 
\doublerulesep 1pt 
\tabbingsep \labelsep 

\skip\@mpfootins = \skip\footins

\fboxsep = 3pt 
\fboxrule = .4pt 



\newcounter{part}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]

\def\thepart{\Roman{part}} \def\thesection {\arabic{section}}
\def\thesubsection {\thesection.\arabic{subsection}}
\def\thesubsubsection {\thesubsection.\arabic{subsubsection}}
\def\theparagraph {\thesubsubsection.\arabic{paragraph}}
\def\thesubparagraph {\theparagraph.\arabic{subparagraph}}



% Do not delete BEFORESKIP even if \section is on top of page
% Is this functioning?
% \@startsection {NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
\def\@startsection#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par 
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@ 
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak 
    \everypar{}%
  \else
    \addpenalty{\@secpenalty}%
    \ifnum#2=\@ne
      %\message{topskip=\the\topskip,beforeskip=\the\@tempskipa}%
      %\message{prevdepth=\the\prevdepth}%
      %% Modified to cope with the case 
      %% \section is on the top of a page. (H.N.)
      %%\ifdim\prevdepth=0pt\vspace*{-13.21775pt}\else\vskip-\prevdepth\fi
      %% 13.89347pt = 17.5Q + depth(1.44539pt) You must change this dimension!!
      %%      \advance\@tempskipa-13.89347pt \addvspace{13.89347pt}
      %%      \vspace*{\@tempskipa}%
      \vskip-\prevdepth 
      \prevdepth\z@ 
      \vskip\baselineskip
      \advance\@tempskipa-\baselineskip 
      \vspace*{\@tempskipa}%
    \else
      \addvspace{\@tempskipa}%
    \fi
  \fi 
  \@ifstar
    {\@ssect{#3}{#4}{#5}{#6}}%
    {\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

% to include section/subsection title modification
\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \def\@svsec{}%
  \else 
    % \refstepcounter{#1}\edef\@svsec{\csname the#1\endcsname\hskip 1em }\fi
    %% Add a period after \section number. (H.N.)
    \refstepcounter{#1}%
    \let\@tempa\relax
    \ifnum#2=\@ne
      \relax\def\@tempa{.}%
    \fi
    \edef\@svsec{\csname the#1\endcsname\@tempa\hskip\@mojihaba}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@ 
    \begingroup 
      #6\relax
      \@hangfrom{\hskip #3\relax\@svsec}{\interlinepenalty \@M #8\par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth 
      \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
  \else
    \def\@svsechd{%
      #6\hskip #3\@svsec #8%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth 
        \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsect{#5}}

\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #4\@hangfrom{\hskip #1}{\interlinepenalty \@M #5\par}%
    \endgroup
  \else 
    \def\@svsechd{#4\hskip #1\relax #5}%
  \fi
  \@xsect{#3}}

%% Modify \@xsect to avoid (buggy) \clubpenalty=10000. (H.N.)
\def\@xsect#1{\@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
    \vskip \@tempskipa 
    \global\@nobreaktrue
    \everypar{\global\@nobreakfalse\everypar{}}%
  \else 
    \glboal\@nobreakfalse 
    \global\@noskipsectrue
    \everypar{%
      \global\@noskipsecfalse 
      \hskip -\parindent
      \begingroup \@svsechd \endgroup 
      \unskip
      \hskip -#1%
      \everypar{}}%
  \fi
  \ignorespaces}



%  floats

% You may need to change following parameters
\setcounter{topnumber}{4} 
\def\topfraction{.9}
\setcounter{bottomnumber}{4} 
\def\bottomfraction{.9}

\setcounter{totalnumber}{8}
\def\textfraction{.1}
\def\floatpagefraction{.9}

\setcounter{dbltopnumber}{4} 
\def\dbltopfraction{.9}
\def\dblfloatpagefraction{.9}

% You cannot handle double column bottom figures yet!!!



% captions for figures and tables

\newskip\@beforecaptionskip
\newskip\@aftercaptionskip


\newcounter{figure}
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
%\def\fnum@figure{\figurename \thefigure}

\def\figure{%
  \bgroup
    \@beforecaptionskip=5pt
    \@aftercaptionskip=0pt
    \@float{figure}}
\def\endfigure{\end@float\egroup}

\@namedef{figure*}{%
  \bgroup
    \@beforecaptionskip=5pt
    \@aftercaptionskip=0pt
    \@dblfloat{figure}}
\@namedef{endfigure*}{\end@dblfloat\egroup}

\newcounter{table}
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename \thetable}
%% Default font for table env. is \small (H.N.)

\def\table{%
  \bgroup
%    \small
    \footnotesize
    \@beforecaptionskip=0pt
    \@aftercaptionskip=0pt
    \@float{table}}
\def\endtable{\end@float\egroup}

\@namedef{table*}{%
  \bgroup
%    \small
    \footnotesize
    \@beforecaptionskip=0pt
    \@aftercaptionskip=0pt
    \@dblfloat{table}}
\@namedef{endtable*}{\end@dblfloat\egroup}



%  title

\def\maketitle{\par
  \label{firstpage}
  \begingroup
    \def\thefootnote{}%
    \if@twocolumn 
      \twocolumn[\@maketitle]%
    \else 
      \newpage
      \global\@topnum\z@ 
      \@maketitle 
    \fi
%    \thispagestyle{plain}%
    \@thanks
  \endgroup
% avoid running head on title page
  \thispagestyle{myheadings}
  \let\maketitle\relax
  \let\@maketitle\relax
  \gdef\@thanks{}%
  \gdef\@author{}%
  \gdef\@title{}%
  \let\thanks\relax}

% default title header

\def\title#1{\gdef\@title{#1}\gdef\@titlestring{#1}}

\def\runninghead#1{\gdef\@runninghead{#1}}
%% *** (M.H.)
\newif\if@runau
\def\runningheadauthors#1{\gdef\@runningheadauthors{#1}\@runautrue}
\runningheadauthors{}\@runaufalse

\def\runningheadjournalname#1{\gdef\@journalname{#1}}
\runningheadjournalname{認知科学}

\newif\if@au
\long\def\author#1{\long\gdef\@author{#1}\@autrue}

\newbox\@abstractbox
%% Introduce \@titlewidth because we now use this dimen repeatedly. (H.N.)
%\newdimen\@titlewidth \@titlewidth348.98682pt
%% ***(M.H.)
\newdimen\@titlewidth \@titlewidth388.98682pt

%% 348.98682 pt is replaced with \@titlewidth. (H.N.)
\def\abstract{%
  \global\setbox\@abstractbox=\hbox\bgroup
    \begin{minipage}{\@titlewidth}%
%% ***(M.H.)
      \footnotesize
%      \settowidth\parindent{あ}}
      \baselineskip=10pt
      }

\def\endabstract{\end{minipage}\egroup}

\let\eabstract\abstract
\let\endeabstract\endabstract

%% ***(M.H.)
% 日本語概要（大会発表賞論文，フェロー紹介，文献紹介で使用）
\newif\if@gaiyo
\newbox\@gaiyobox
\newdimen\@titlewidth \@titlewidth388.98682pt

\def\gaiyo{%
  \global\@gaiyotrue
  \global\setbox\@gaiyobox=\hbox\bgroup
  \begin{minipage}{\@titlewidth}%
  \small
  \parindent\@mojihaba
}
\def\endgaiyo{\end{minipage}\egroup}

\let\eabstract\abstract
\let\endeabstract\endabstract

\def\titleEn#1{\gdef\@titleEn{#1}}% (M.H.)

\newif\if@auen
\long\def\authorEn#1{\long\gdef\@authorEn{#1}\@auentrue}% (M.H.)

\long\def\eauthor#1{%
  \gdef\affi@thefnmark{}%
  \long\gdef\@eauthor{#1}%
  \etitleauthorlabel{@etitleauthor}{#1}
}

\def\etitleauthorlabel{%
  \begingroup
    \def\@mpfn{affi@footnote}%
    \def\thempfn{\theaffi@footnote}%
    \etitleauthor@label}

\newif\ifjapanesefootnote \japanesefootnotefalse % default is English
						 % for Japanese ronbun

\newcounter{affi@footnote} 
\c@affi@footnote\z@

\def\affi@footnotetext#1#2{{%
  \def\@thefnmark{#1}%
  \@footnotetext{#2}}}

\def\etitleauthor@label#1#2{%
    \stepcounter{\@mpfn}%
    \@ifundefined{affi@r@#1}%
      {\expandafter\xdef\csname affi@r@#1\endcsname{\thempfn}}%
      {\@warning{Title label `#1' multiply defined}}%
    \let\affi@footnotetext\relax
    \let\\\relax
    \def\protect{\noexpand\protect\noexpand}%
    \xdef\@thanks{\@thanks
      \affi@footnotetext{}{%% English footnote on first page
        \ifjapanesefootnote{\@etitle #2}\else{\@etitle\ by #2.}\fi}}
  \endgroup}


%% Affiliations in Japanese and in English (M.H.)

\newif\if@aff
\long\def\affiliation#1{\gdef\@affiliation{#1}\@afftrue}
\affiliation{}\@afffalse

\newif\if@affen
\long\def\affiliationEn#1{\gdef\@affiliationEn{#1}\@affentrue}
\affiliationEn{}\@affenfalse

% Keywords
%% *** (M.H.)
\newif\if@keywords
\newbox\@keywordbox

\def\keywords#1{%
%% *** (M.H.)
  \global\@keywordstrue
  \global\setbox\@keywordbox\hbox\bgroup
    \begin{minipage}{\@titlewidth}%
%% *** (M.H.)
     \footnotesize
%%     \settowidth\parindent{あ}%
     {\itshape Keywords: }#1%
    \end{minipage}%
  \egroup}

%% *** (M.H.)
% for \phd
\def\@Keywords{}
\def\Keywords#1{\gdef\@Keywords{#1}}


%% *** (M.H.)
\def\@pubyear{%
  \setcounter{年数}{1993}%
  \addtocounter{年数}{\value{巻数}}%
  \arabic{年数}}
\def\@copyrightyear{\@pubyear}

\newif\if@received
\def\受付#1#2#3{%
  \@receivedtrue
  \def\@received{Received #1 #2 #3}\ignorespaces}
\newif\if@reviewed
\def\採録#1#2#3{%
  \@reviewedtrue
  \def\@accepted{Accepted #1 #2 #3}\ignorespaces}
\newif\if@advanced
\def\早期公開#1#2#3{%
  \@advancedtrue
%  \def\@copyrightyear{#3}
  \def\@available{Available online at J-STAGE #1 #2 #3}\ignorespaces}
\def\@received{Received 0 0 0}
\def\@accepted{}
\def\@available{}


%% *** (M.H.)
\newbox\@historybox
\def\history{%
  \global\setbox\@historybox\hbox\bgroup
    \begin{minipage}{\@titlewidth}%
     \footnotesize
     \if@received\@received\fi%
     \if@reviewed{; \@accepted}\fi%
     \if@advanced{; \@available}\fi
    \end{minipage}%
  \egroup}


\def\@etitle{}
\def\@eauthor{}
\def\@titleEn{}
\def\@authorEn{}

%  \@maketitle
\def\@maketitle{\newpage\null
  \baselineskip=16.36285pt% 従来の改行幅 (Q_Q)
%  \if@doublecolumn \else \hskip-24mm \fi
%% *** (M.H.) ***adjusted!
  \if@doublecolumn\@articletype\else
    \if@onecolumnarticle\vskip-2.5mm{\@articletype}
    \else\vskip-2.5mm\hskip-27mm\vbox to 8\baselineskip{\@articletype}
  \fi\fi
%  \if@doublecolumn \vbox to 9\baselineskip{\@articletype}% (M.H.)
%  \else \vbox to 8\baselineskip{\@articletype}%
%  \fi %
%  \@articletype%
  \@extrainfo
  }

%% *** (M.H.)
\def\@extrainfo{%
  \vbox{%
    \centerline{\box\@abstractbox}%
    \nointerlineskip
    \vskip10pt
    \centerline{\box\@keywordbox}%
    \nointerlineskip
    \vskip10pt
    \centerline{\box\@historybox}%
    \nointerlineskip
    \vskip20pt
    }}

\def\@gaiyoinfo{%
  \if@gaiyo\vbox{%
    \centerline{\box\@gaiyobox}%
    \nointerlineskip
    \vskip10pt
  }\fi
  \if@keywords\vbox{%
    \centerline{\box\@keywordbox}%
    \nointerlineskip
    \vskip10pt
  }\fi
  \if@received\vbox{%
    \centerline{\box\@historybox}%
    \nointerlineskip
    \vskip20pt
  }\fi
}


\mark{{}{}} 

\newcounter{volpage}
\newcounter{volpageoffset} % You must set this to appropriate value
\setcounter{volpageoffset}{0} % for each issue!

%% It might be better to let \thevolpage just produce the page number. (H.N.)
%% \def\thevolpage{\setcounter{volpage}{\value{page}}%
%%  \addtocounter{volpage}{\value{volpageoffset}}%
%%  \hbox to21pt{\hfil\arabic{volpage}\hfil}}

\def\thevolpage{%
 \setcounter{volpage}{\value{page}}%
 \addtocounter{volpage}{\value{volpageoffset}}%
 \arabic{volpage}}

\newcounter{巻数} 
\newcounter{号数}
\newcounter{年数}

\def\発行月#1{\gdef\@発行月{#1}}
%% *** (M.H.)
\newif\if@advpubdef
\def\advancepublication#1{%
  \@advpubdeftrue
  \gdef\@advpubyear{#1}
  \def\@copyrightyear{#1}
  \setcounter{page}{1}
}
\newif\if@doidef
\def\doi#1{\@doideftrue\gdef\@doi{#1}}
\newif\if@tldef
\def\topleft#1{\@tldeftrue\gdef\@topl{#1}}
\newif\if@trdef
\def\topright#1{\@trdeftrue\gdef\@topr{#1}}

\def\@monthyear{%
  \@発行月
  \hskip.5\@mojihaba 
  \setcounter{年数}{1993}%
  \addtocounter{年数}{\value{巻数}}%
  \arabic{年数}}

\newif\if@onepage
  \def\onepagearticle{\@onepagetrue}

%% *** (M.H.)
\def\ps@headings{%
  \let\@mkboth\markboth
  \def\@oddfoot{}%
  \def\@evenfoot{}%
  \def\@evenhead{\small\textwidth=144mm
    \if@doublecolumn\else\if@onecolumnarticle\else\hskip-24mm\fi\fi
    \hskip\@mojihaba{\thevolpage}\llap%
    \null\qquad\hfil
    {\let\\\relax{\itshape\@runningheadauthors}%
    \if@runau{／}\fi{\itshape\@journalname} %
    \if@advpubdef
      {(\itshape{\@advpubyear})}
    \else
      ({\itshape\@pubyear}) {\itshape\arabic{巻数}}({\itshape\arabic{号数}}) {\itshape\pageref{firstpage}--\pageref{LastPage}}
    \fi}
    \hfil\qquad
    \hskip\@mojihaba}%
  \def\@oddhead{\small\textwidth=144mm
    \if@doublecolumn\else\hskip-24mm\fi
    \hskip\@mojihaba%
    \null\qquad\hfil
    {\let\\\relax{\itshape\@runningheadauthors}%
    \if@runau{／}\fi{\itshape\@journalname} %
    \if@advpubdef
      {(\itshape{\@advpubyear})}
    \else
      ({\itshape\@pubyear}) {\itshape\arabic{巻数}}({\itshape\arabic{号数}}) {\itshape\pageref{firstpage}--\pageref{LastPage}}
    \fi}
    \hfil\qquad
    \llap{\thevolpage}\hskip\@mojihaba}%
%
  \def\sectionmark##1{%
    \markboth
     {\uppercase{%
        \ifnum \c@secnumdepth>\z@
          \thesection
          \hskip 1em\relax 
        \fi ##1}}%
     {}}%
%
  \def\subsectionmark##1{%
    \markright{%
      \ifnum \c@secnumdepth >\@ne
        \thesubsection
        \hskip 1em\relax 
      \fi
      ##1}}}

\def\ps@myheadings{%
  \let\@mkboth\@gobbletwo
  \def\@oddhead{%
    \if@doublecolumn\else\if@onecolumnarticle\else\hskip-24mm\fi\fi
    \parbox[t]{\@titlewidth}{%
    \baselineskip=13.7pt
    \if@advpubdef
      認知科学 Advance Publication Article ({\@advpubyear})
    \else
      認知科学 第{\arabic{巻数}}巻 第\arabic{号数}号 ({\@pubyear})\hspace{.5em}%
      \if@onepage p.\,\thepage\else pp.\,\thepage--\pageref{LastPage}\fi
    \fi
    \hspace{1em}
    \if@doidef{https://doi.org/}\@doi\fi\\[-4pt]
    Cognitive Studies: Bulletin of the Japanese Cognitive Science Society%
    \if@advpubdef\else{, Vol.\,\arabic{巻数}, No.\,\arabic{号数}, }\fi
    \if@advpubdef\else
      \if@onepage p.\,\thepage\else pp.\,\thepage--\pageref{LastPage}\fi\fi
    \hfill}}
  \def\@evenhead{\@oddhead}

  \def\@oddfoot{%
    %\qquad
    \hfil%
    {\footnotesize Print ISSN 1341-7924\hspace{.7em}Online ISSN 1881-5995\quad%
    \copyright\ {\@copyrightyear}\ Japanese Cognitive Science Society}%
    \hfil\thepage
    %\hskip\@mojihaba
    }%
  \def\@evenfoot{%
    %\hskip\@mojihaba
    \thepage\hfil%
    {\footnotesize Print ISSN 1341-7924\hspace{.7em}Online ISSN 1881-5995\quad%
    \copyright\ {\@copyrightyear}\ Japanese Cognitive Science Society}%
    \hfil
    %\qquad
    }%

  \def\sectionmark##1{}\def\subsectionmark##1{}}


\pagestyle{headings}
\pagenumbering{arabic}

\def\today{\the\year 年 \the\month 月 \the\day 日}

\def\sloppy{\tolerance 9000 \hfuzz .5\p@ \vfuzz .5\p@}

\flushbottom



% Footnote related commands

\long\def\@footnotetext#1{%
  \insert\footins{\footnotesize
    \interlinepenalty\interfootnotelinepenalty
    \splittopskip\footnotesep
    \splitmaxdepth \dp\strutbox 
    \floatingpenalty \@MM
%% Probably it is easier to set \leftskip to 13.0856pt (or something else) and
%% put \@thefnmark by \llap in \@makefntext than the original method with
%% \hangindent. (H.N.)
%%    \hsize\columnwidth \@parboxrestore\leftskip6.50428pt
%%% extra indent of 5.2pt is decided empirically, roughly the width of a digit
%%      \ifnum\value{footnote}>9\hangindent=13.0856pt
%%					%\advance\hangindent by 5.2pt
%%      \else\hangindent=13.0856pt\fi \hangafter=1
    \hsize\columnwidth 
    %\@parboxrestore
    %\leftskip13.0856pt
    \edef\@currentlabel{\csname p@footnote\endcsname\@thefnmark}%
    {\noindent
      \begin{minipage}[t]{\columnwidth}%
%        \parskip1zw\noindent
        \parskip\jspaceskip\noindent
        \rule{\z@}{\footnotesep}%
        \@makefntext{#1}\strut
      \end{minipage}}}}


%% See the comment above. (H.N.)
%% 6.50428pt seems too wide.  Change to 3pt preliminarily.
%% \long\def\@makefntext#1{\noindent$\@thefnmark$\hskip6.50428pt #1}

\long\def\@makefntext#1{%
  \noindent
  \ifx\@thefnmark\empty\else
    $\@thefnmark$\hskip3\p@
  \fi 
  #1}

\def\@makefnmark{\smash{\hbox{$^{\@thefnmark}$}}} % smashed to make it zero height

\def\thefootnote{\arabic{footnote})}

% Following \footnoterule is changed to make a gap between footnoterule
\def\footnoterule{\kern0\p@ \hrule \@width 45mm \kern2.6\p@}

\def\thanks#1{%
  \footnotemark
  \begingroup
    \def\protect{\noexpand\protect\noexpand}%
    \xdef\@thanks{%
      \@thanks
      \protect\specialfootnotetext[\the\c@footnote]{\noindent#1}}%
  \endgroup}

\def\specialfootnotetext{%
  \@ifnextchar[%]
    {\@specialxfootnotenext}%
    {\xdef\@thefnmark{\thempfn}\@specialfootnotetext}}

\def\@specialxfootnotenext[#1]{%
  \begingroup 
    \csname c@\@mpfn\endcsname #1\relax
    \xdef\@thefnmark{\thempfn}%
  \endgroup 
  \@specialfootnotetext}

\def\@mpfn{footnote}
\def\thempfn{\thefootnote}

\long\def\@specialfootnotetext#1{%
  \insert\footins{\footnotesize
    \interlinepenalty\interfootnotelinepenalty
    \splittopskip\footnotesep
    \splitmaxdepth \dp\strutbox 
    \floatingpenalty \@MM
    \hsize\columnwidth 
    \@parboxrestore
    \leftskip6.50428pt
    \hangindent=6.50428pt 
    \hangafter\@ne
    \edef\@currentlabel{\csname p@footnote\endcsname\@thefnmark}%
    \@specialmakefntext{%
      \rule{\z@}{\footnotesep}%
      \ignorespaces#1\strut}}}

\long\def\@specialmakefntext#1{\noindent\llap{$\@thefnmark$ }#1}

% you must place 1-moji space just right of eqation number

\def\@eqnnum{{\rmfamily (\theequation)\hskip\@mojihaba}} 

%%%% %%%% 著者情報（ここから）%%%% %%%%
% *** (M.H.)
% \usepackage{wrapfig}%（wrapfig.sty を使用する）
%
% \vita[includegraphicsオプション]{氏名}{会員種別}{写真ファイル名}{紹介文}
% 例1: \vita{認知 花子}{（正会員）}{photo.jpg}{...}
% 例2: \vita{認知 花子}{（学生会員）}{photo.jpg}{...}
% 例3: \vita{認知 花子}{}{photo.jpg}{...}% 非会員
% 例4: \vita[angle=90,width=20mm]{認知 花子}{（正会員）}{photo.jpg}{...}
% 例5: \vita{John Doe}{ (Member)}{photo.jpg}{...}
% 例6: \vita{John Doe}{ (Student Member)}{photo.jpg}{...}
%
% \vitasimple{氏名}{会員種別}{紹介文}
% 例1: \vitasimple{認知 花子}{（正会員）}{...}
% 例2: \vitasimple{認知 花子}{（学生会員）}{...}
% 例3: \vitasimple{認知 花子}{}{...}
% 
\newcommand{\vita}[5][keepaspectratio,width=20mm]{%
  \noindent\columnsep=3mm
  \begin{minipage}{\linewidth}
  \footnotesize\baselineskip=\vitabaselineskip\parindent=1zw
  \begin{wrapfigure}[\the\vitaphotolines]{l}{20mm}
  \includegraphics[#1]{#4}
  \end{wrapfigure}%
  \noindent\vspace{.6zh}\par
  \leavevmode\hspace*{-1.3zw}{\small\headfont #2}#3\vspace{.3zh}\par #5
  \end{minipage}}

\newcommand{\vitasimple}[3]{%
  \noindent
  \begin{minipage}{\linewidth}
  \footnotesize\baselineskip=\vitabaselineskip\parindent=1zw
  \noindent\vspace{.6zh}\par
  \leavevmode\hspace*{-1.3zw}{\small\headfont #1}#2\vspace{.3zh}\par #3
  \end{minipage}}

\newcommand{\vitaEn}[5][keepaspectratio,width=20mm]{%
  \noindent\columnsep=3mm
  \begin{minipage}{\linewidth}
  \footnotesize\baselineskip=\vitabaselineskipEn\parindent=1zw
  \begin{wrapfigure}[\the\vitaphotolinesEn]{l}{20mm}
  \includegraphics[#1]{#4}
  \end{wrapfigure}%
  \noindent\vspace{.6zh}\par
  \leavevmode\hspace*{-1.3zw}{\small\headfont #2}#3\vspace{.3zh}\par #5
  \end{minipage}}

\newcommand{\vitasimpleEn}[3]{%
  \noindent
  \begin{minipage}{\linewidth}
  \footnotesize\baselineskip=\vitabaselineskipEn\parindent=1zw
  \noindent\vspace{.6zh}\par
  \leavevmode\hspace*{-1.3zw}{\small\headfont #1}#2\vspace{.3zh}\par #3
  \end{minipage}}

%%%% %%%% 著者情報（ここまで）%%%% %%%%



%%%% %%%% 左右の段の行揃え %%%% %%%% 

% Height adjusting environment
% you must use this as separate paragraph.

\newbox\adjustbox
\newdimen\adjustheight
\newcount\adjustlinecount

%% Modify adjustvboxheight environment to cope with the case it appear at
%% the top of a pate. (H.N.)
%%\newenvironment{adjustvboxheight}{%\message{prevdepth=\the\prevdepth}
%%\vskip-\prevdepth\vskip1.15631pt % to cancel out various depth and set
%%                             % it to normal 1.15631pt.  For this to
%%                             % work properly, it is necessary to use
%%                             % this environment as a separate paragraph!!

\def\adjustvboxheight{\par\penalty\z@
        \global\setbox\adjustbox\vbox\bgroup\hsize\columnwidth}

\def\endadjustvboxheight{\egroup
        \adjustheight\ht\adjustbox \advance\adjustheight\dp\adjustbox
        \divide\adjustheight\baselineskip \adjustlinecount\adjustheight
        \advance\adjustlinecount\@ne
        \adjustheight\adjustlinecount\baselineskip
        \vskip-\prevdepth \prevdepth\z@ \vskip\baselineskip
        \vspace*{-.5\baselineskip}%
        \vbox to\adjustheight{\vfil\box\adjustbox\vfil}%
        \vskip.5\baselineskip
        \global\@ignoretrue\noindent}



%% \clubpenalty=-1000 \widowpenalty=-1000 % we allow club and widow lines ?
%% \displaywidowpenalty=-1000
%% We simply allow (not encourage) club and widow lines. (H.N.)
\clubpenalty=0 \widowpenalty=0
\displaywidowpenalty=0

% The following redefinition influences \linebreak etc.
\def\sloppy{\tolerance 9999 \hfuzz .5\p@ \vfuzz .5\p@}

\vbadness10001 \hbadness5000
\tolerance 9999 \pretolerance\m@ne


%%(T.T.) DeclareOption{} の内容はここで実行されます．
\ProcessOptions\relax




%%%% %%%% 文献 %%%% %%%% 

% bibliography related commands
% Taken from latex-style-file.sty under CogSci/camera-ready-templates/
%Ignore the key when generating the Reference section.
% Must be removed when you are merging this style file with jcssbib.sty!

% No labels in the bibliography.

\newskip\bibleftmargin

\bibleftmargin=15pt

%% Modified to avoid page break just after the heading. (H.N.)
%% Remove spaces preceding labels. (H.N.)
%% Modify ~ and \ to make they can be shrunk to 0.
\def\thebibliography#1{%
  \section*{\refname}%
  \nobreak\@nobreaktrue\vskip5pt
  \list{}{%
    \labelsep=0pt
    \labelwidth=0pt
    \leftmargin=\bibleftmargin
    \itemindent=-\bibleftmargin
    \itemsep .01in}%
%% *** (M.H.)
  \footnotesize\baselineskip=10pt
  \def\newblock{\hskip .11em plus .33em minus .07em}%
  \sloppy\clubpenalty4000\widowpenalty4000
  \def~{\penalty\@M
    \hskip\fontdimen\tw@\font plus\fontdimen\thr@@\font
    minus\fontdimen\tw@\font\relax}%
  \def\ {\hskip\fontdimen\tw@\font plus\fontdimen\thr@@\font
    minus\fontdimen\tw@\font\relax}%
  \sfcode`\.=1000\relax}

\let\endthebibliography=\endlist

\def\refname{\hskip\@mojihaba\@refname}

% The rest of the file has been compled by HASIDA Koiti (94.5.18)
%	from jtheapa.sty by GUNJI Takao (93.01.15)
%	which is based on theapa.sty by Young U. Ryu

% `theapa' --- `the' `a'`p'`a'.
% APA (American Psychology Association) Reference Citation for (AmS)LaTeX
%
%	- Supported by `theapa.bst' Version 2.5
%	- For Plain TeX, use `theapa.tex'.
%	- They are available from:
%		anonymous@ftp.cc.utexas.edu
%		pub/young
% Based on the {\it Publication Manual of the American Psychology Association},
% Third Edition, Fifth Printing, February 1988.

% copyright (C) 1991, 1992.
%    Young U. Ryu
% newapa.sty 2.0 - 1991.
%    Young U. Ryu
% newapa.sty - copyright (C) 1989, 1990.
%    Stephen N. Spencer
% apalike.sty - copyright (C) 1986, 1988.
%    Susan King and Oren Patashnik

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TUTORIAL NOTES
%
%
% The ``jcss.bst'' BibTeX bibliography style creates references with labels:
%       \protect\BCAY{full author list}{abbrev. author list}{year}
%
% The citations are enclosed within parentheses ``( ... )''.
% Short author lists use the ``et al.'' construct.
% These labels are processed by the following LaTeX commands:
%
% \cite<optional prefix note>[optional notes]{Key(s)}
%     -> (prefix note Authors, Year, optional notes)
%     For example: \cite<e.g.\ see>[p.~32]{Apt88}
%                       => (e.g. see Apt, 1988, p. 32)
%     -> automatically switches from \fullcite to \shortcite
% \citeA[optional notes]{keys}
%     -> automatically switches from \fullciteA to \shortciteA
% \citeauthor{key}
%     -> automatically switches from \fullciteauthor to \shortciteauthor
% \citeyear[optional notes]{key(s)} -> (Year1, Year2, ...)
%
% \nocite{aaa,bbb} makes following \cite{aaa}, \cite{bbb}, etc.
%     short citations.
% \nocite{*} does not make following \cite{...}, etc. short citations.
%                 ^^^
% \fullcite<optional prefix note>[optional notes]{Key(s)}
%     -> (prefix note Authors1, Year1; Authors2, Year2; ..., optional notes)
% \fullciteA[optional notes]{keys}
%     -> Authors1 (Year1), ..., AuthorsN (YearN, optional notes)
% \fullciteauthor{keys}
%     -> Authors1, Authors2, ...
%
% The difference between `\shortciteXXX' and `\fullciteXXX':
% is that `\shortciteXXX' gives `First author et al.'
% if no. authors >= 3.
%    
% \shortcite<optional prefix note>[optional notes]{Key(s)}
%     -> (prefix note Short Authors1, Year1; ..., optional notes)
% \shortciteA[optional notes]{keys}
%     -> Short Authors1 (Year1), ..., Short AuthorsN (YearN, optional notes)
% \shortciteauthor{keys}
%     -> Short Authors1, Short Authors2, ...
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%\typeout{JCSS Bibliography Citation Style - Version (5/94)}

%%%%%%%%%%%%%%%
% cite labels %
%%%%%%%%%%%%%%%

\def\BED{ (Ed.)}	% editor
\def\BEDS{ (Eds.)}	% editors
\def\BVOL{Vol.}		% volume name
\def\BNUM{No.}		% number name
\def\BEd{ed.}	           % edition
\def\BPG{p.}		% page
\def\BPGS{pp.}		% pages
\def\BCH{chap.}		% chapter
\def\BTR{Report No.}	% technical report type name

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Upper or Lowercase article titles %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\@Ucase#1{\uppercase{#1}}
\def\BUcase#1{\lowercase{\@Ucase #1}}
\def\NoTitleCaseChange{\def\BUcase##1{##1}}
\NoTitleCaseChange

%%%%%%%%%%%%%
% citations %
%%%%%%%%%%%%%

\def\@lbibitem[#1]#2{\def\BBA{\BBAA}\item[\@biblabel{#1}]\if@filesw
      { \def\BBA{\string\BBA}%
        \def\protect##1{\string ##1\space}\immediate
        \write\@auxout{\string\bibcite{#2}{#1}}%
	\def\BBA{\BBAA}}\fi\ignorespaces}

% Year is separately handled by \Y<citation key>
\def\bibcite#1#2{\global\expandafter\def\csname b@#1\endcsname{#2}% names
    \global\expandafter\def\csname Y@#1\endcsname{\@year@#2}}% year
\def\@year@\BCAY#1#2#3{#3}

% first author of a multi-author reference?
\newif\if@F@cite\@F@citetrue

%
% \cite<prefix>[postfix]{keys}
% \fullcite<prefix>[postfix]{keys}
% \shortcite<prefix>[postfix]{keys}
%	writes \citation{keys} on .aux
%	produces (prefix Authors1, Year1; Authors2, Year2; ..., postfix)
%

%\def\cite{\def\BCAY##1##2##3{\BCA{##1}{##2}}%
\def\cite{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
    \@ifnextchar<{\@cite}{\@cite<>}}

\def\fullcite{\def\BCAY##1##2##3{\BCA{##1}{##1}}%
    \@ifnextchar<{\@cite}{\@cite<>}}

\def\shortcite{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
    \@ifnextchar<{\@cite}{\@cite<>}}

\def\@cite<#1>{\@ifnextchar[{\def\@BBN{\BBN}\@@cite<#1>}%
                             {\def\@BBN{\ignorespaces}\@@cite<#1>[]}}
\def\@@cite<#1>[#2]#3{%
    \if@filesw\immediate\write\@auxout{\string\citation{#3}}\fi%
    \edef\@citeP{}%
%    \BBOP{\ignorespaces#1\space}%
    \BBOP{\ignorespaces#1\BAP}%
    \@for\@citeb:=#3\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}%
       \def\BCA##1##2{##1}}%
      {\def\BCA##1##2{##2}}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \ifx\@citeP\B@my@dummy%
        \if@F@cite\@F@citefalse\else{,\ }\fi%
	\csname Y@\@citeb\endcsname%
    \else%
        \if@F@cite\@F@citefalse\else{\BBC}\fi%
	\edef\@cite@undefined{?}%
	\ifx\@cite@undefined\B@my@dummy%
	  \csname Y@\@citeb\endcsname%
	\else%
	  \def\BBA{\BBAA}%
	  \csname b@\@citeb\endcsname\BBAY\csname Y@\@citeb\endcsname%
        \fi%
    \fi%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }{\@BBN #2}\BBCP%
    \@F@citetrue}

%
% \citeA[postfix]{keys}
% \fullciteA[postfix]{keys}
% \shortciteA[postfix]{keys}
%	writes \citation{keys} on .aux
%	produces Authors1 (Year1), ..., AuthorN (YearN, postfix)
%

%\def\citeA{\def\BCAY##1##2##3{\BCA{##1}{##2}}%
\def\citeA{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeA}%
                        {\def\@BBN{\ignorespaces}\@citeA[]}}

\def\fullciteA{\def\BCAY##1##2##3{\BCA{##1}{##1}}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeA}%
                        {\def\@BBN{\ignorespaces}\@citeA[]}}

\def\shortciteA{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeA}%
                        {\def\@BBN{\ignorespaces}\@citeA[]}}

\def\@citeA[#1]#2{%
    \if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi%
    \edef\@citeP{}%
    \@for\@citeb:=#2\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}%
       \def\BCA##1##2{##1}}%
      {\def\BCA##1##2{##2}}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \ifx\@citeP\B@my@dummy%
        \if@F@cite\@F@citefalse\else{,\ }\fi%
	\csname Y@\@citeb\endcsname%
    \else%
        \if@F@cite\@F@citefalse\else{\BBCP,\ }\fi%
        \def\BBA{\BBAB}%
	\csname b@\@citeb\endcsname\ \BBOP\csname Y@\@citeb\endcsname%
    \fi%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }{\@BBN #1}\BBCP%
    \@F@citetrue}

%
% \citeauthor{keys}
% \fullciteauthor{keys}
% \shortciteauthor{keys}
%	writes \citation{keys} on .aux
%	produces Authors1, ..., AuthorN
%

\def\citeauthor{\def\BCAY##1##2##3{\BCA{##1}{##2}}\@citeauthor}

\def\fullciteauthor{\def\BCAY##1##2##3{\BCA{##1}{##1}}\@citeauthor}

\def\shortciteauthor{\def\BCAY##1##2##3{\BCA{##2}{##2}}\@citeauthor}

\def\@citeauthor#1{%
    \if@filesw\immediate\write\@auxout{\string\citation{#1}}\fi%
    \edef\@citeP{}%
    \@for\@citeb:=#1\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}%
       \def\BCA##1##2{##1}}%
      {\def\BCA##1##2{##2}}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \ifx\@citeP\B@my@dummy%
    \else%
        \if@F@cite\@F@citefalse\else{,\ }\fi%
        \def\BBA{\BBAB}%
	\csname b@\@citeb\endcsname%\ \BBOP\csname Y@\@citeb\endcsname%
    \fi%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }%
    \@F@citetrue}

%
% \citeyear[postfix]{keys}
%	writes \citation{keys} on .aux
%	produces (Year1, ..., YearN, postfix)
%

\def\citeyear{\def\BCAY##1##2##3{}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeyear}%
                        {\def\@BBN{\ignorespaces}\@citeyear[]}}

\def\@citeyear[#1]#2{%
    \if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi%
    \edef\@citeP{}%
    \BBOP\@for\@citeb:=#2\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}}%
      {}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \if@F@cite\@F@citefalse\else{,\ }\fi%
    \csname Y@\@citeb\endcsname%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }{\@BBN #1}\BBCP%
    \@F@citetrue}

\def\nocite#1{\@bsphack%
    \if@filesw\immediate\write\@auxout{\string\citation{#1}}\fi%
    \@for\@citeb:=#1\do{%
    \@ifundefined{b@\@citeb}%
    {\edef\B@my@dummy{*}%
     \ifx\@citeb\B@my@dummy\else
     \@warning{Citation `\@citeb' on page \thepage\space undefined}\fi}%
    {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}}}%
    \@esphack}

% No labels in the bibliography.
\def\@biblabel#1{}

%% *** (M.H.)
%\def\Bbf{\bf}  % for volume number
\let\Bbf\em

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 日本語の処理 (jtheapa.styより) %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%\def\Jem#1{『#1\hbox to.5em{』\hss}} % book title
%\def\Jem#1{『#1\nolinebreak\hbox to.5em{』\hss}}% book title
%% *** (M.H.)
\def\Jem#1{#1}% book title
\def\Jetal{他}	% replaces `et al.'
\def\JBA{・}	% between authors
\def\JBOQ{}	% opening quote for article title
%\def\JBCQ{.}	% closing quote for article title
\def\JBCQ{\hspace{0.5zw}}	% closing quote for article title
\def\JED{（編）}	% editor
\def\JEDS{（編）}	% editors
\def\JEd{版}	% edition
\def\JCH{章}	% chapter
\def\JTR{テクニカル・レポート}	% technical report
\def\JVOL{巻}	% volume for book series
\def\JNUM{号}	% number for book series



% Following setting shifts text body 2.4cm to the right!!
\if@doublecolumn
  \textwidth 144mm \oddsidemargin -7.11mm \evensidemargin -7.11mm
\else
  \if@onecolumnarticle
    \textwidth 144mm \oddsidemargin -7.11mm \evensidemargin -7.11mm
  \else
    \textwidth 120mm \oddsidemargin 16.89mm \evensidemargin 16.89mm
  \fi
\fi

\if@doublecolumn \twocolumn \fi

\@twosidetrue


%% *** (M.H.)
\if@toukouyou
  \RequirePackage{lineno}
  \def\linenumberfont{\tiny\sf}
  \pagewiselinenumbers
  \switchlinenumbers
  \linenumbersep 5pt
%%  \modulolinenumbers[5]
  \newcommand*\patchAmsMathEnvironmentForLineno[1]{%
    \expandafter\let\csname old#1\expandafter\endcsname\csname #1\endcsname
    \expandafter\let\csname oldend#1\expandafter\endcsname\csname end#1\endcsname
    \renewenvironment{#1}%
       {\linenomath\csname old#1\endcsname}%
       {\csname oldend#1\endcsname\endlinenomath}}% 
  \newcommand*\patchBothAmsMathEnvironmentsForLineno[1]{%
    \patchAmsMathEnvironmentForLineno{#1}%
    \patchAmsMathEnvironmentForLineno{#1*}}%
  \AtBeginDocument{%
    \patchBothAmsMathEnvironmentsForLineno{equation}%
    \patchBothAmsMathEnvironmentsForLineno{align}%
    \patchBothAmsMathEnvironmentsForLineno{flalign}%
    \patchBothAmsMathEnvironmentsForLineno{alignat}%
    \patchBothAmsMathEnvironmentsForLineno{gather}%
    \patchBothAmsMathEnvironmentsForLineno{multline}%
  }
%%  \linenumbers
\fi

% 巻頭言に脚注を出力させる
\gdef \@makecol {%
   \ifvoid\footins
     \setbox\@outputbox \box\@cclv
   \else
     \setbox\@outputbox \vbox {%
       \boxmaxdepth \@maxdepth
       \unvbox \@cclv
       \vskip \skip\footins
       \color@begingroup
         \normalcolor
         \footnoterule
         \unvbox \footins
       \color@endgroup
       }%
   \fi
   \xdef\@freelist{\@freelist\@midlist}%
   \global \let \@midlist \@empty
   \@combinefloats
   \ifvbox\@kludgeins
     \@makespecialcolbox
   \else
     \setbox\@outputbox \vbox to\@colht {%
       \@texttop
       \dimen@ \dp\@outputbox
       \unvbox \@outputbox
       \vskip -\dimen@
       \@textbottom
       }%
   \fi
   \global \maxdepth \@maxdepth
}

\endinput
